<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\MitarbeiterUebersicht\MitarbeiterUebersicht;

class MitarbeiterUebersichtView extends \Kufer\KuferTools\Basis\Uebersicht\UebersichtView
{
  public function getTemplatePathRelative()
  {
    return 'firma/mitarbeiteruebersicht/uebersicht.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    static $obj = null;
    if (\is_null($obj)) {
      $obj = new class() extends \Datamodul {
        public $ueberschrift;
        public $tool_id;
        public $buttons;
        public $success_message;
        public $error_message;
      };

      $obj->ueberschrift = $this->viewModel->ueberschrift;
      $obj->tool_id = $this->viewModel->toolId;
      $obj->buttons = $this->viewModel->buttons;
      $obj->success_message = $this->viewModel->successMessage ?? '';
      $obj->error_message = $this->viewModel->errorMessage ?? '';
    }

    return array($obj);
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->panels;
  }
}

class MitarbeiterUebersichtViewModel extends \Kufer\KuferTools\Basis\Uebersicht\UebersichtViewModel
{
  public $ueberschrift;
  public $panels;
  public $toolId;
  public $successMessage;
  public $errorMessage;
}